Deploy to App Store Connect
- POST
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
Creates a new Deploy to App Store Connect action in the pipeline
Request
REQUIRED SCOPES
EXECUTION_MANAGE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspaceExample: "my-company"
project_namerequiredstring
The human-readable ID of the projectExample: "my-project"
pipeline_idrequiredinteger
The ID of the pipelineExample: 123
POST PARAMETERS
typerequiredstring enum
The type of the actionAllowed enum:
NATIVE_BUILD_MAC_DEPLOYurlread-onlystring
API endpoint to GET this objecthtml_urlread-onlystring
Web URL to view this object in Buddy.worksafter_action_idinteger
The numerical ID of the action, after which this action should be addednamerequiredstring
The name of the actiontrigger_timestring enum
Specifies when the action should be executedAllowed enum:
ON_EVERY_EXECUTION,ON_SUCCESS,ON_FAILURE,ON_BACK_TO_SUCCESS,ON_WARNING,ON_WAIT_FOR_APPROVE,ON_TERMINATEtrigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggeredrun_nextstring enum
Defines whether the action should run in parallel with the next oneAllowed enum:
WAIT_ON_SUCCESS,IN_SOFT_PARALLEL,IN_HARD_PARALLELrun_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILUREvariablesEnvironmentVariableView[]
The list of variables you can use the actiondisabledboolean
When set to true the action is disabled. By default it is set to falsetimeoutinteger
The timeout in secondsignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actionsretry_countinteger
Number of retries if the action failsretry_intervalinteger
Delay time between auto retries in secondsloopstring[]
The list of commands that will be executed in a loopcurrent_revisionstring
The git revision of the last successful run of the actionpermissionsPermissionsView
Access permissions configurationworking_directorystring
The directory in which the pipeline filesystem will be mountedexecute_every_commandboolean
If set to true all commands will be executed regardless of the result of the previous commandcommandsstring[]
The commands to execute in the native build environmentdeployment_excludesstring[]
The list of files or directories to exclude from deploymentvm_from_prev_actionboolean
If set to true, the VM from the previous action will be usedvm_action_idinteger
The ID of the action from which the VM will be usedvm_action_namestring
The name of the action from which the VM will be usedinstance_typestring enum
The type of instance to use for the native buildAllowed enum:
GENERAL_MEDIUM,GENERAL_LARGE,GENERAL_XLARGE,GENERAL_2XLARGE,COMPUTE_MEDIUM,COMPUTE_LARGE,COMPUTE_XLARGE,COMPUTE_2XLARGE,ARM_GENERAL_MEDIUM,ARM_GENERAL_LARGE,ARM_GENERAL_XLARGE,ARM_GENERAL_2XLARGE,ARM_COMPUTE_MEDIUM,ARM_COMPUTE_LARGE,ARM_COMPUTE_XLARGE,ARM_COMPUTE_2XLARGExcode_versionstring
The version of Xcode to usepre_start_simulatorsstring[]
The list of simulators to start before the buildnode_versionstring
The version of Node.js to useflutter_versionstring
The version of Flutter to usearchive_locationstring
The path to the archive locationcertificatesstring[]
The list of certificates to use for signingprovision_profilesstring[]
The list of provisioning profiles to usesign_modestring enum
The signing modeAllowed enum:
MANUAL,AUTOMATICdistribution_methodstring enum
The distribution methodAllowed enum:
APP_STORE,AD_HOC,DEVELOPMENT,ENTERPRISEexport_locationstring
The path to export the signed appproperty_list_sourcestring enum
The source of the property listAllowed enum:
GENERATED,PIPELINE_VOLUME,VARIABLE,ACTIONproperty_liststring
The content of the property listvalidate_before_uploadboolean
If set to true, the app will be validated before uploadsubmit_for_reviewboolean
If set to true, the app will be submitted for reviewskip_metadataboolean
If set to true, metadata will not be uploadedskip_app_version_updateboolean
If set to true, the app version will not be updatedskip_screenshotsboolean
If set to true, screenshots will not be uploadedintegrationrequiredAppStoreIntegrationRef
App Store integration (APP_STORE)Response
RESPONSE BODY
typestring enum
The type of the actionAllowed enum:
NATIVE_BUILD_MAC_DEPLOYurlread-onlystring
API endpoint to GET this objecthtml_urlread-onlystring
Web URL to view this object in Buddy.worksidinteger
The ID of the actionnamestring
The name of the actioncurrent_revisionstring
The git revision of the last successful run of the actiontrigger_timestring enum
Specifies when the action should be executedAllowed enum:
ON_EVERY_EXECUTION,ON_SUCCESS,ON_FAILURE,ON_BACK_TO_SUCCESS,ON_WARNING,ON_WAIT_FOR_APPROVE,ON_TERMINATEtrigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggeredrun_nextstring enum
Defines whether the action should run in parallel with the next oneAllowed enum:
WAIT_ON_SUCCESS,IN_SOFT_PARALLEL,IN_HARD_PARALLELrun_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILUREvariablesEnvironmentVariableView[]
The list of variables you can use the actiondisabledboolean
When set to true the action is disabled. By default it is set to falsetimeoutinteger
The timeout in secondsignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actionsretry_countinteger
Number of retries if the action failsretry_intervalinteger
Delay time between auto retries in secondslast_execution_statusstring enum
The status of the last run of the actionAllowed enum:
INPROGRESS,ENQUEUED,TERMINATED,SUCCESSFUL,FAILED,INITIAL,NOT_EXECUTED,SKIPPED,TERMINATING,WAITING_FOR_APPLY,WAITING_FOR_VARIABLES,WAITING_FOR_SETTABLE_VARIABLES,WAITING_FOR_VT_SESSIONpipelineShortPipelineView
Short representation of a pipelinepermissionsPermissionsView
Access permissions configurationloopstring[]
The list of commands that will be executed in a loopworking_directorystring
The directory in which the pipeline filesystem will be mountedexecute_every_commandboolean
If set to true all commands will be executed regardless of the result of the previous commandcommandsstring[]
The commands to execute in the native build environmentdeployment_excludesstring[]
The list of files or directories to exclude from deploymentvm_from_prev_actionboolean
If set to true, the VM from the previous action will be usedvm_action_idinteger
The ID of the action from which the VM will be usedvm_action_namestring
The name of the action from which the VM will be usedinstance_typestring enum
The type of instance to use for the native buildAllowed enum:
GENERAL_MEDIUM,GENERAL_LARGE,GENERAL_XLARGE,GENERAL_2XLARGE,COMPUTE_MEDIUM,COMPUTE_LARGE,COMPUTE_XLARGE,COMPUTE_2XLARGE,ARM_GENERAL_MEDIUM,ARM_GENERAL_LARGE,ARM_GENERAL_XLARGE,ARM_GENERAL_2XLARGE,ARM_COMPUTE_MEDIUM,ARM_COMPUTE_LARGE,ARM_COMPUTE_XLARGE,ARM_COMPUTE_2XLARGExcode_versionstring
The version of Xcode to usepre_start_simulatorsstring[]
The list of simulators to start before the buildnode_versionstring
The version of Node.js to useflutter_versionstring
The version of Flutter to usearchive_locationstring
The path to the archive locationcertificatesstring[]
The list of certificates to use for signingprovision_profilesstring[]
The list of provisioning profiles to usesign_modestring enum
The signing modeAllowed enum:
MANUAL,AUTOMATICdistribution_methodstring enum
The distribution methodAllowed enum:
APP_STORE,AD_HOC,DEVELOPMENT,ENTERPRISEexport_locationstring
The path to export the signed appproperty_list_sourcestring enum
The source of the property listAllowed enum:
GENERATED,PIPELINE_VOLUME,VARIABLE,ACTIONproperty_liststring
The content of the property listvalidate_before_uploadboolean
If set to true, the app will be validated before uploadsubmit_for_reviewboolean
If set to true, the app will be submitted for reviewskip_metadataboolean
If set to true, metadata will not be uploadedskip_app_version_updateboolean
If set to true, the app version will not be updatedskip_screenshotsboolean
If set to true, screenshots will not be uploadedintegrationIntegrationIdentifierView
The integration used by the actionLast modified on Mar 18, 2026
Request example
curl -X POST "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Deploy to App Store Connect",
"type": "NATIVE_BUILD_MAC_DEPLOY",
"trigger_time": "ON_EVERY_EXECUTION",
"archive_location": "$BUDDY_SIGNED_IPA_PATH",
"validate_before_upload": true,
"submit_for_review": true,
"skip_metadata": true,
"skip_app_version_update": true,
"skip_screenshots": true,
"integration": {
"identifier": "appstore-connect"
}
}'STATUS200 OK